## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname  cookiecutter
%global pkgname  python-cookiecutter
%global forgeurl https://github.com/audreyr/cookiecutter
%global common_description %{expand:
A command-line utility that creates projects from cookiecutters (project
templates), e.g. creating a Python package project from a Python package
project template.}

%bcond_without tests

Name:      %{pkgname}
Version:   2.6.0
%forgemeta
Release:   %autorelease
Summary:   CLI utility to create projects from templates
License:   BSD-3-Clause
URL:       %{forgeurl}
Source0:   https://github.com/audreyr/%{srcname}/archive/%{version}.tar.gz
BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: pyproject-rpm-macros
%if %{with tests}
BuildRequires: python3-pytest-cov
BuildRequires: python3-freezegun
BuildRequires: python3-pytest-mock
BuildRequires: git
%endif

%description %{common_description}

%package -n python-%{srcname}-doc
Summary: Documentation for %{srcname}
%description -n python-%{srcname}-doc
Documentation for %{srcname}

%package -n python3-%{srcname}
Summary: %summary

Recommends: python-%{srcname}-doc
Requires: python3-binaryornot
Requires: python3-click
Requires: python3-jinja2
Requires: python3-pyyaml
Requires: python3-requests
Requires: python3-slugify
Requires: python3-arrow

%description -n python3-%{srcname} %{common_description}

%prep
%autosetup -n %{srcname}-%{version}
sed -i 's#python -c#%{__python3} -c#' Makefile

%generate_buildrequires
%pyproject_buildrequires -r %{?with_tests:-x testing}

%build
%pyproject_wheel

%if %{with doc}
make docs
%endif

%install
%pyproject_install

%if %{with tests}
%check
%{python3} -m pytest tests -v
%endif

%files -n python3-%{srcname}
%license LICENSE
# For noarch packages: sitelib
%{python3_sitelib}/*
%{_bindir}/%{srcname}

%files -n python-%{srcname}-doc
%license LICENSE
%doc docs
%doc *.md

%changelog
## START: Generated by rpmautospec
* Thu Oct 31 2024 Federico Pellegrin <fede@evolware.org> - 2.6.0-4
- Fix dependencies: jinja2-time was dropped (inlined) and arrow added

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 2.6.0-2
- Rebuilt for Python 3.13

* Thu Feb 29 2024 Federico Pellegrin <fede@evolware.org> - 2.6.0-1
- Bump to 2.6.0 [rhbz#2265449]

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 29 2023 Federico Pellegrin <fede@evolware.org> - 2.5.0-1
- Bump to 2.5.0 [rhbz#2251160]

* Wed Oct 04 2023 Federico Pellegrin <fede@evolware.org> - 2.4.0-1
- Bump to 2.4.0 [rhbz#2241552]

* Mon Sep 25 2023 Federico Pellegrin <fede@evolware.org> - 2.3.1-1
- Bump to 2.3.1 [rhbz#2220987]

* Fri Aug 04 2023 Federico Pellegrin <fede@evolware.org> - 2.3.0-1
- Bump to 2.3.0 (rhbz #2220987)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 14 2023 Federico Pellegrin <fede@evolware.org> - 2.2.3-1
- Bump to 2.2.3 and fix running tests

* Tue Jun 27 2023 Python Maint <python-maint@redhat.com> - 2.1.1-6
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Dec 02 2022 Federico Pellegrin <fede@evolware.org> - 2.1.1-4
- Correct package dependencies and convert license to SPDX

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 20 2022 Python Maint <python-maint@redhat.com> - 2.1.1-2
- Rebuilt for Python 3.11

* Fri Jun 10 2022 chedi toueiti <chedi.toueiti@gmail.com> - 2.1.1-1
- Update to version 2.1.1 (#2095733 #2095734)  CVE-2022-24065

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 30 2021 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.7.3-1
- feat: update to 1.7.3

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 05 2021 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.7.2-6
- fix: drop retired BR to fix build

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.7.2-5
- Rebuilt for Python 3.10

* Mon Apr 19 2021 Tomas Hrnciar <thrnciar@redhat.com> - 1.7.2-4
- BuildRequire setuptools explicitly

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 08 2021 Tom Stellard <tstellar@redhat.com> - 1.7.2-2
- Add BuildRequires: make

* Mon Aug 03 2020 chedi toueiti <chedi.toueiti@gmail.com> - 1.7.2-1
- update to version 1.7.2

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 1.6.0-15
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> - 1.6.0-13
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.6.0-12
- Fix build by adding missing BR

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 1.6.0-11
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Dec 06 2018 Petr Viktorin <pviktori@redhat.com> - 1.6.0-8
- Remove the Python 2 subpackage

* Thu Nov 15 2018 Miro Hrončok <miro@hroncok.cz> - 1.6.0-7
- https://fedoraproject.org/wiki/Changes/No_more_automagic_Python_bytecompi
  lation_phase_2

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> - 1.6.0-5
- Rebuilt for Python 3.7

* Tue May 29 2018 Brett Lentz <blentz@redhat.com> - 1.6.0-4
- fix missing deps

* Tue Apr 03 2018 Brett Lentz <blentz@redhat.com> - 1.6.0-3
- bump release

* Tue Apr 03 2018 Brett Lentz <blentz@redhat.com> - 1.6.0-2
- fix deps

* Tue Mar 13 2018 Brett Lentz <blentz@redhat.com> - 1.6.0-1
- initial commit
## END: Generated by rpmautospec
